# Copyright (c) 2000-2001 LOGILAB S.A. (Paris, FRANCE).
# http://www.logilab.fr/ -- mailto:contact@logilab.fr
#
# This program is free software; you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free Software
# Foundation; either version 2 of the License, or (at your option) any later
# version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License along with
# this program; if not, write to the Free Software Foundation, Inc.,
# 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

"""EngineListener module.

Defines the EngineListenerInterface.
"""

__revision__ = "$Id: EngineListener.py,v 1.1 2001/05/10 14:47:07 nico Exp $"

class EngineListenerInterface:
    """EngineListener interface"""

    def postQueueEvent(self,evtId,text) :
        raise NameError("method not implemented in implementing class")

    def popQueueEvent(self,evtId) :
        raise NameError("method not implemented in implementing class")

    def postSchedulerEvent(self,evtId,text) :
        raise NameError("method not implemented in implementing class")

    def popSchedulerEvent(self,evtId) :
        raise NameError("method not implemented in implementing class")

